/**
 * @author Matthias Gottlieb
 * @version 1
 */
public class Hello {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// Aufruf der Methode hello1()
		hello1();

		System.out.println(hello2());

		// Alternativ kann der Rckgabewert von hello2() auch in einem Attribut
		// gespeichert werden. Man beachte den Unterschied zwischen
		// Methodenaufruf gekennzeichnet durch die () hier: hello2() und dem
		// Attribut hello2
		String hello2 = hello2();
		System.out.println(hello2);
		
		
		// Ein Objekt Hello erzeugen. Dafr ist der Konstruktor notwendig
		Hello h3 = new Hello();
		// dem private Attribut hello3 einen Wert zuweisen
		h3.setHello3("Hello World 3!");
		// Wert auf der Konsole ausgeben
		System.out.println(h3.getHello3());
		// das private Attribut hello3 einen anderen Wert zuweisen
		h3.setHello3("Hello World 4!");
		// Wert auf der Konsole ausgeben
		System.out.println(h3.getHello3());
		
	}

	// Methode ohne Rckgabewert
	public static void hello1() {
		System.out.println("Hello World 1!");
	}

	// Methode mit Rckgabewert, aufrufbar nur innerhalb der Klasse
	private static String hello2() {
		return "Hello World 2!";
	}

	// Konstruktor
	public Hello(){
		
	}
	
	// Attribute
	private String hello3;

	// Getter-Methode gibt den Wert von hello3 aus
	public String getHello3() {
		return hello3;
	}

	// Setter-Methode schreibt einen Wert, den die Methode bergeben bekommt
	// nach hello3. Da hello3 und hello3 innerhalb der Methode nicht zu
	// unterscheiden sind wird der this-Operator verwendet. Dieser zeigt auf das
	// Attribut hello3 auerhalb der Methode
	public void setHello3(String hello3) {
		this.hello3 = hello3;
	}

}
